local-unbound-checkconf(8)

NAME
local-unbound-checkconf - Check local-unbound configuration file for errors.

SYNOPSIS
local-unbound-checkconf [-h] [-f] [-o option] [cfgfile]

DESCRIPTION
Local-unbound-checkconf checks the configuration file for the local-unbound(8) DNS resolver for syntax and other errors. The config file syntax is described in local-unbound.conf(5).

The available options are:

-h  Show the version and commandline option help.

-f  Print full pathname, with chroot applied to it. Use with the -o option.

-o option
    If given, after checking the config file the value of this option is printed to stdout. For "" (disabled) options an empty line is printed.

cfgfile
    The config file to read with settings for local-unbound. It is checked. If omitted, the config file at the default location is checked.

EXIT CODE
The local-unbound-checkconf program exits with status code 1 on error, 0 for a correct config file.

FILES

/var/unbound/unbound.conf
    local-unbound configuration file.

SEE ALSO
local-unbound.conf(5), local-unbound(8).